#!/usr/bin/env python3

import os, sys

icon_class = [
    '16x16',
    '24x24',
    '32x32',
    '48x48',
    '256x256',
    '512x512',
]

magick = sys.argv[1]
input_file = sys.argv[2]
output = sys.argv[3]

for iclass in icon_class:
    outdir = os.path.join(output, iclass, 'apps')
    outfile = os.path.join(outdir, 'net.buzzert.kordophone.png')

    os.makedirs(outdir, exist_ok=True)
    os.system('{magick} {input} -resize {klass} {outfile}'
                    .format(magick=magick, input=input_file, klass=iclass, outfile=outfile))


